Apache 2.4 ‘client denied by server configuration’ 오류

우분투 14.04에 웹서버 환경을 구축하는데 이상하게 12.04에서와 달리 error.log 에 ‘client denied by server configuration‘ 오류가 발생하면서 접속되지 않는다.

알고 봤더니 Apache가 2.2에서 2.4로 업데이트 되었다. 그로 인해 Access control 관련 설정에 바뀐 부분이 있었다.

Apache 2.2 설정:

Order allow,deny
Allow from all

Apache 2.4 설정:

Require all granted

출처: Upgrading to 2.4 from 2.2

 

Apache 2.4 ‘client denied by server configuration’ 오류”에 대한 2개의 생각

  1. minho

    안녕하세요.
    저좀 도와주실 수 있을까요?
    리눅스 민트 17 최신…이고
    아파치 2.4에 cgi 파일을 실행하려는데요..

    에러 로그 찍어보니.. AH01797: client denied by server configuration: /usr/lib/cgi-bin/test.cgi

    페이지에는 403 Forbidden …
    Require all granted
    로 설정하고 재시작 했는데도.. 이러네요..
    http://27.1.148.102/cgi-bin/test.cgi

    응답
    1. A2 글쓴이

      저는 아파치 2.4에서 PHP 셋팅만 해본거라 CGI쪽 문제는 잘 모르겠습니다.

      응답

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다